def checkFile fileName
    qfn    = "./#{fileName}"
    exists = File.exists? qnf



require_relative 'twb/tabclass'
require_relative 'twb/tabtool'
require_relative 'twb/dashboard'
require_relative 'twb/datasource'
require_relative 'twb/connection'
require_relative 'twb/docdashboard'
require_relative 'twb/dbfield'
require_relative 'twb/localfield'
require_relative 'twb/metadatafield'
require_relative 'twb/storyboard'
require_relative 'twb/window'
require_relative 'twb/workbook'
require_relative 'twb/worksheet'
require_relative 'twb/parameter'
require_relative 'twb/action'
require_relative 'twb/columnfield.rb'
require_relative 'twb/calculatedfield'
require_relative 'twb/codedfield'
require_relative 'twb/groupfield'
require_relative 'twb/fieldcalculation'
require_relative 'twb/quickfilter'
require_relative 'twb/docdashboardimagevert'
require_relative 'twb/docdashboardwebvert'
require_relative 'twb/util/twbDashSheetDataDotBuilder'
require_relative 'twb/util/dotFileRenderer'
require_relative 'twb/util/htmllistcollapsible'
require_relative 'twb/util/xraydashboards'
require_relative 'twb/util/graph'
require_relative 'twb/util/graphnode'
require_relative 'twb/util/graphedge'
require_relative 'twb/util/graphedges'
require_relative 'twb/util/gml'
require_relative 'twb/util/cypher'
require_relative 'twb/util/cypherpython'
require_relative 'twb/util/fielddomainloader'
require_relative 'twb/util/docprep'
require_relative 'twb/analysis/documentedfieldsmarkdownemitter'
require_relative 'twb/analysis/annotatedfieldscsvemitter'
require_relative 'twb/analysis/WorkbookSummaryAnalyzer'
require_relative 'twb/analysis/calculatedfields/calculatedfieldsanalyzer'
require_relative 'twb/analysis/calculatedfields/groupfieldsanalyzer'
require_relative 'twb/analysis/calculatedfields/markdownemitter'
require_relative 'twb/analysis/calculatedfields/csvemitter'
require_relative 'twb/analysis/datasources/DataSourceFieldsCSVEmitter'
require_relative 'twb/analysis/datasources/DataSourceTableFieldsCSVEmitter'
require_relative 'twb/analysis/datasources/categoricalColorCodingAnalyzer'
require_relative 'twb/analysis/datasources/googlesheetdatasourcesanalyzer'
require_relative 'twb/analysis/datasources/parametersanalyzer'
require_relative 'twb/analysis/datasources/DataSourceOriginsAnalyzer'
require_relative 'twb/analysis/Sheets/WorksheetDataStructureCSVEmitter'
require_relative 'twb/analysis/Sheets/sheetfiltersanalyzer'
require_relative 'twb/analysis/Sheets/sheetfieldsanalyzer'
require_relative 'twb/analysis/Sheets/dashsheetsanalyzer'


# Represents Tableau Workbooks, their contents, and classes that analyze and manipulate them.
#
module Twb
  VERSION = '4.5.1'
end
