require 'nokogiri'
require 'csv'

$twbCount = 0
def processTwb twbName
    puts  "\t - #{twbName}"
    twb     = Twb::Workbook.new twbName
    nokodoc = twb.node   #Nokogiri::XML(open('dataSources.xml'))
    # $nodePaths = SortedSet.new

    $csvFile  = CSV.open('xmlNodesAndAttributes.csv','w')
    $csvFile << ['Workbook', 'Workbook Directory', 'Node Name', 'Node Path', 'Attr Name', 'Attr Value']
    nodes    = nokodoc.xpath('//.')
    nodes.each do |n|
        nodeName = n.name
        nodePath = n.path.gsub(/\[[0-9]+\]/,'')
        attrs    = n.attributes
        attrs.each do |attrName,attrValue|
            $csvFile << [twbName, twbDir, nodeName, nodePath, attrName, attrValue]
        end
        if attrs.empty?
            $csvFile << [ twbName, twbDir, nodeName, nodePath, nil, nil ]
        end
        # $nodePaths << n.path.gsub(/\[[0-9]+\]/,'').gsub('/content/workbook/','')
    end
    $twbCount      += 1
end

path = if ARGV.empty? then ['**/*.twb','**/*.twbx'] else argto_a(ARGV[0]) end
puts  "\n  Processing Workbooks matching: '#{path}'\n "
Dir.glob(path) { |twb| processTwb twb }
