#  Copyright (C) 2018  Chris Gerrard
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

module Twb
module Util

  class DocPrep

    @@dir = './ttdoc'

    attr_accessor :dir

    def initialize
        reset
    end

    def reset
        @dir = @@dir
        init
    end

    def prepFile fileName
        "#{@dir}/#{fileName}"
    end

    def init dirName
      Dir.mkdir @Name
    end


  end # class DocPrep

end  # module Util
end  # module Twb
