#  Copyright (C) 2014, 2017  Chris Gerrard
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

module Twb
module Util

  class Graphedges

    # @root   - the graph's root node
    # @edges  - the collection of the graph's edges
    attr_reader   :root
    attr_accessor :edges

    def initialize (root = nil)
      @root        = root if root.instance_of? Twb::Util::Graphnode
      @edges       = []
    end

   def to_s
      "Root:'%s'  edges::%s::" % [@root.to_s, @edges.to_s]
    end

  end

end  # module Util
end  # module Twb
