#  Copyright (C) 2012, 2015  Chris Gerrard
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

module Twb
module Util

  class JoinTable
    attr_reader :table, :datasource
    def initialize(table, datasource=nil)
      @table = table
      @datasource = datasource
    end
  end # class JoinTable


  class JoinTablePair
    attr_reader :from, :to
    def initialize(from, to)
      raise ParamaterException.new("'From' cannot be nil.") if from.nil?
      raise ParamaterException.new("'To' cannot be nil.")   if to.nil?
      @from = from
      @to   = to
    end
  end # class JoinTablePair

  class JoinTree
    attr_reader  :root, :maxdepth
    def initialize
      @root = nil
      @maxdepth = 0
    end
    def add from, to
      puts "abc"
    end
    
  end # class JoinTree


end  # module Util
end  # module Twb
